<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://java.sun.com/jsf/core">


        <h:form id="form" rendered="#{externalsystemview.concreetExternalSystem!=null }" >
            <p:growl id="msgs" showDetail="true"/>

            <h:outputText value="Нет записей прав доступа объектов!" rendered="#{empty trightview.tRightList}"
                          style="font-size: 16px; color: #ffffff;"/>

            <p:dataTable id="trighttable" var="t" value="#{trightview.tRightList}"
                         rendered="#{not empty trightview.tRightList}"
                         styleClass="table-cell"
                         headerClass="table-header"
                         rowKey="#{t.tRightEntityPK}"
                         scrollable="true" scrollHeight="300"
                         selectionMode="single"
                         selection="#{trightview.concreetRightView}"
                         rowStyleClass="row1Style"
                         columnClasses="columnClass">


                <p:column width="40" headerText="extSystemCode" rendered="false" ><h:outputLabel value="#{t.tRightEntityPK.extSystemCode}" /></p:column>

                <p:column width="40" headerText="Внешняя система" style="text-align: left" sortBy="#{t.externalSystem.extId}">
                    <p:commandButton actionListener="#{trightview.showEditTRight(t)}" rendered="#{(applicationUser.type==1)}" icon="ui-icon-pencil" title="Edit">
                        <p:ajax event="dialogReturn" listener="#{trightview.onDialogClose}" update=":tabview1:form:trighttable, :tabview1:form:msgs"/>
                    </p:commandButton>
                    <h:outputText value="&#160;" /><h:outputText value="&#160;" />
                    <h:outputLabel value="#{t.externalSystem.extId}" />
                </p:column>

                <p:column width="40" headerText="Объект доступа" sortBy="#{t.tReferenceGroup.object}"><h:outputText value="#{t.tReferenceGroup.object}"/></p:column>

                <p:column width="40" headerText="Действие" sortBy="#{t.action}"><h:outputLabel value="#{
                                t.action eq 'S' ? 'Информационные запросы':
                                t.action eq 'M' ? 'Выполнение транзакций':
                                t.action eq 'SM' ? 'Инф запросы и транзакции':
                                t.action eq 'MS' ? 'Инф запросы и транзакции':null}" /></p:column>

                <p:column width="40" headerText="updateSysDate" sortBy="#{t.updateSysDate}" rendered="false"><h:outputText value="#{t.updateSysDate}"/></p:column>

                <p:column width="30" rendered="#{(applicationUser.type==1)}" headerText="Удалить">
                    <p:commandButton actionListener="#{trightview.deleteRight(t)}" icon="ui-icon-trash" title="Удалить" ajax="true" update="trighttable" >
                        <p:confirm header="Confirmation" message="Вы действительно хотите удалить выбранную запись?" icon="ui-icon-alert"/>
                    </p:commandButton>
                </p:column>
            </p:dataTable>

            <p:contextMenu for="trighttable">
                <p:menuitem value="Редактировать запись" actionListener="#{trightview.showEditContextMenu}" ajax="false" icon="ui-icon-pencil" style="color: yellow; font-size: 12px;"/>
            </p:contextMenu>

            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                <p:commandButton value="Да" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                <p:commandButton value="Нет" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
            </p:confirmDialog>

            <p:separator/>

            <p:commandButton rendered="#{(applicationUser.type==1)}" value="Добавить Права доступа для внешних систем" actionListener="#{trightview.showAddNewDialog}">
                <p:ajax event="dialogReturn" listener="#{trightview.onDialogClose}" update="msgs"/>
            </p:commandButton>

        </h:form>
</html>
